﻿using System;
using System.ComponentModel;
using System.Runtime.CompilerServices;
using BlankProject.Utils;

namespace BlankProject.ViewModels
{
	public class DataBindingViewModel : INotifyPropertyChanged
	{
		public event PropertyChangedEventHandler PropertyChanged;

		private PersonExtended _data;

		public PersonExtended Data
		{
			get { return _data; }
			set
			{
				if (value != _data)
				{
					_data = value;
					INotifyPropertyChanged();
				}
			}
		}

		public DataBindingViewModel (PersonExtended Data)
		{
			this.Data = Data;
		}

		public void INotifyPropertyChanged([CallerMemberName] string propertyName = "")
		{
			if (PropertyChanged != null)
			{
				PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}
	}
}

