﻿using System;
using System.ComponentModel;
using System.Runtime.CompilerServices;

namespace BlankProject.ViewModels
{
	public class EntryViewModel : INotifyPropertyChanged
	{
		public event PropertyChangedEventHandler PropertyChanged;

		private bool _isEdit;

		public bool IsEdit
		{
			get { return _isEdit; }
			set
			{
				if (value != _isEdit)
				{
					_isEdit = value;
					INotifyPropertyChanged();
				}
			}
		}

		public EntryViewModel()
		{
			IsEdit = false;
		}

		public void INotifyPropertyChanged([CallerMemberName] string propertyName = "")
		{
			if (PropertyChanged != null)
			{
				PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}
	}
}

