﻿using BlankProject.Utils;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Text;
using System.Threading.Tasks;

namespace BlankProject.ViewModels
{
    public class OverrideViewModel : INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;

        private ObservableCollection<ListViewData> _data;

        public ObservableCollection<ListViewData> Data
        {
            get { return _data; }
            set
            {
                if (value != _data)
                {
                    _data = value;
                    INotifyPropertyChanged();
                }
            }
        }

        public OverrideViewModel()
        {
            Data = new ObservableCollection<ListViewData>();
        }

        public void INotifyPropertyChanged([CallerMemberName] string propertyName = "")
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }
}
