﻿using System;
using System.ComponentModel;
using System.Runtime.CompilerServices;

namespace BlankProject.ViewModels
{
	public class SwitchViewModel : INotifyPropertyChanged
	{
		public event PropertyChangedEventHandler PropertyChanged;

		private bool _isEnable;

		public bool IsEnable
		{
			get { return _isEnable; }
			set
			{
				if (value != _isEnable)
				{
					_isEnable = value;
					INotifyPropertyChanged();
				}
			}
		}

		public void INotifyPropertyChanged([CallerMemberName] string propertyName = "")
		{
			if (PropertyChanged != null)
			{
				PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}
	}
}

