﻿using System;
using System.ComponentModel;
using System.Runtime.CompilerServices;
using Xamarin.Forms;
using BlankProject.Utils;
using System.Windows.Input;

namespace BlankProject.ViewModels
{
	public class TableViewFormViewModel : INotifyPropertyChanged
	{
		public event PropertyChangedEventHandler PropertyChanged;

		public ICommand DeleteCommand { get; private set; }

		public ICommand EditListCommand { get; private set; }

		private bool _isEdit;

		public bool IsEdit
		{
			get { return _isEdit; }
			set
			{
				if (value != _isEdit)
				{
					_isEdit = value;
					INotifyPropertyChanged();
				}
			}
		}

		private StackOrientation _stackLayoutOrientation;

		public StackOrientation StackLayoutOrientation
		{
			get { return _stackLayoutOrientation; }
			set
			{
				if (value != _stackLayoutOrientation)
				{
					_stackLayoutOrientation = value;
					INotifyPropertyChanged();
				}
			}
		}

		private Person _dataPerson;

		public Person DataPerson
		{
			get { return _dataPerson; }
			set 
			{
				if (value != _dataPerson) 
				{
					_dataPerson = value;
					INotifyPropertyChanged ();
				}
			}
		}

		public TableViewFormViewModel()
		{
			DeleteCommand = new Command (() => DeleteExec());
			EditListCommand = new Command (() => EditListExec());

			IsEdit = false;
			StackLayoutOrientation = StackOrientation.Horizontal;

			DataPerson = new Person () 
			{
				Name = "Label", 
				Nickname = "Description"
			};
		}

		private void DeleteExec()
		{
			//some action
		}

		private void EditListExec ()
		{
			IsEdit = !IsEdit;

			if (StackLayoutOrientation.Equals (StackOrientation.Horizontal)) 
			{
				StackLayoutOrientation = StackOrientation.Vertical;
				return;
			}

			StackLayoutOrientation = StackOrientation.Horizontal;
		}

		public void INotifyPropertyChanged([CallerMemberName] string propertyName = "")
		{
			if (PropertyChanged != null)
			{
				PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}
	}
}

