﻿using System;
using System.Collections.Generic;

using Xamarin.Forms;
using BlankProject.ViewModels;
using BlankProject.Utils;

namespace BlankProject.Views
{
	public partial class DataBindingView : ContentPage
	{
		private DataBindingViewModel viewModel { get; set; }

		private PersonExtended initialData { get; set; }

		public DataBindingView ()
		{
			InitializeComponent ();
			var personExtended = BuildInitialData ();
			initialData = personExtended.Clone ();

			viewModel = new DataBindingViewModel (personExtended);
			BindingContext = viewModel;
		}

		private PersonExtended BuildInitialData()
		{
			PersonExtended personExtended = new PersonExtended ();
			personExtended.Name = "Name A";
			personExtended.Nickname = "Nickname A";
			personExtended.IsActive = true;
			personExtended.BirthDate = DateTime.Now;
			personExtended.Biography = "Biography A";
			personExtended.IsLicensed = true;

			return personExtended;
		}

		public void BackDefaultValues(object sender, EventArgs args)
		{
			viewModel.Data = initialData;
		}
	}
}

