﻿using System;
using Xamarin.Forms;

namespace BlankProject.Views
{
    public partial class FieldsView : ContentPage
    {
        private Picker PickerTest { get; set; }

        private DatePicker DatePickerTest { get; set; }

        private TimePicker TimePickerTest { get; set; }

        public FieldsView()
        {
            InitializeComponent();

            PickerTest = this.FindByName<Picker>("pickerTest");
            DatePickerTest = this.FindByName<DatePicker>("datePickerTest");
            TimePickerTest = this.FindByName<TimePicker>("timePickerTest");

            PickerTest.Items.Add("Item 1");
            PickerTest.Items.Add("Item 2");
            PickerTest.Items.Add("Item 3");
        }

        public async void GetData(object sender, EventArgs args)
        {
            var pickerValue = PickerTest.Items[PickerTest.SelectedIndex];
            var datePickerValue = DatePickerTest.Date.ToString();
            var timePickerValue = TimePickerTest.Time.Ticks.ToString();

            await DisplayAlert("Picker result", pickerValue, "OK");
            await DisplayAlert("DatePicker result", datePickerValue, "OK");
            await DisplayAlert("TimePicker result", timePickerValue, "OK");
        }
    }
}
