﻿using System;
using System.Collections.Generic;
using Xamarin.Forms;

namespace BlankProject.Views
{
    public partial class MenuView : ContentPage
    {
        public List<MenuItem> Items { get; set; }

        public MenuView()
        {
            InitializeComponent();

            Items = new List<MenuItem>();
            Items.Add(new MenuItem()
            {
                Text = "PAGE A1",
                Command = new Command(() => NavigateTo(typeof(PageA1View)))
            });

            Items.Add(new MenuItem()
            {
                Text = "PAGE B1",
                Command = new Command(() => NavigateTo(typeof(PageB1View)))
            });

            Items.Add(new MenuItem()
            {
                Text = "PAGE C1",
                Command = new Command(() => NavigateTo(typeof(PageC1View)))
            });

            Items.Add(new MenuItem()
            {
                Text = "TABBED PAGE",
                Command = new Command(() => NavigateTo(typeof(TabbedPageView)))
            });

            Items.Add(new MenuItem()
            {
                Text = "FIELDS PAGE",
                Command = new Command(() => NavigateTo(typeof(FieldsView)))
            });

            Items.Add(new MenuItem()
            {
                Text = "OVERRIDE PAGE",
                Command = new Command(() => NavigateTo(typeof(OverrideView)))
            });

            Items.Add(new MenuItem()
            {
                Text = "FORM PAGE",
                Command = new Command(() => NavigateTo(typeof(FormView)))
            });

			Items.Add(new MenuItem()
			{
				Text = "TOOLBAR ITEM PAGE",
				Command = new Command(() => NavigateTo(typeof(ToolbarItemView)))
			});

			Items.Add(new MenuItem()
			{
				Text = "TABLE VIEW PAGE",
				Command = new Command(() => NavigateTo(typeof(TableViewFormView)))
			});

			Items.Add(new MenuItem()
			{
				Text = "TABLE VIEW C#",
				Command = new Command(() => NavigateTo(typeof(TableViewCSharpView)))
			});


			Items.Add(new MenuItem()
			{
				Text = "DATA BINDING",
				Command = new Command(() => NavigateTo(typeof(DataBindingView)))
			});

			Items.Add(new MenuItem()
			{
				Text = "POPUPS",
				Command = new Command(() => NavigateTo(typeof(PopupsView)))
			});

			Items.Add(new MenuItem()
			{
				Text = "SWITCH",
				Command = new Command(() => NavigateTo(typeof(SwitchView)))
			});

			Items.Add(new MenuItem()
			{
				Text = "KEYBOARD",
				Command = new Command(() => NavigateTo(typeof(KeyboardView)))
			});

			Items.Add(new MenuItem()
			{
				Text = "KEYBOARD OPEN",
				Command = new Command(() => NavigateTo(typeof(KeyboardOpenView)))
			});

			Items.Add(new MenuItem()
			{
				Text = "HIDDEN NAVBAR",
				Command = new Command(() => NavigateTo(typeof(HiddenNavBarPage)))
			});

			Items.Add(new MenuItem()
			{
				Text = "ENTRY PAGE",
				Command = new Command(() => NavigateTo(typeof(EntryView)))
			});

            BindingContext = Items;
        }

        public void MenuSelected(object sender, SelectedItemChangedEventArgs args)
        {
            var menuItem = (MenuItem)args.SelectedItem;
            menuItem.Command.Execute(null);
        }

        public void NavigateTo(Type type)
        {
            Page page = (Page)Activator.CreateInstance(type);
            var mainPage = (MasterDetailView)Xamarin.Forms.Application.Current.MainPage;


            /**
             * IN THIS CASE, AN SMALL VERIFICATION BEFORE SETTING DETAIL PAGE BECAUSE 
             * WHEN DETAIL PAGE IS A TABBED PAGE INSTANCE THIS OBJECT NOT POSSIBLE NAVIGATION PAGE INSTANCE
             * ( THIS PROBLEM OCCURRED ON ANDROID PLATFORM )
             */
            if (page.GetType().Equals(typeof(TabbedPageView))) 
			{
                mainPage.Detail = page;
            }
            else
            {
                mainPage.Detail = new NavigationPage(page);
            }
            
            mainPage.IsPresented = false;
        }

		public void OpenModal(object sender, EventArgs args)
		{
			Navigation.PushModalAsync (new NavigationPage(new ModalView()));
		}
    }
}
