﻿using BlankProject.Utils;
using BlankProject.ViewModels;
using System;
using System.Collections.ObjectModel;
using Xamarin.Forms;

namespace BlankProject.Views
{
    public partial class OverrideView : ContentPage
    {
        private OverrideViewModel viewModel;

        public OverrideView()
        {
            InitializeComponent();

            viewModel = new OverrideViewModel();
            BindingContext = viewModel;
        }

        protected override void OnAppearing()
        {
            viewModel.Data.Add(new ListViewData()
            {
                Text = string.Concat("Opened at ", DateTime.Now.Ticks.ToString())
            });

            base.OnAppearing();
        }

        protected override void OnDisappearing()
        {
            viewModel.Data.Add(new ListViewData()
            {
                Text = string.Concat("Closed at ", DateTime.Now.Ticks.ToString())
            });

            base.OnDisappearing();
        }

        public void OpenModal(object sender, EventArgs args)
        {
            Navigation.PushModalAsync(new NavigationPage(new ModalView()));
        }
    }
}
