﻿using System;

using Xamarin.Forms;

namespace BlankProject.Views
{
	public class TableViewCSharpView : ContentPage
	{
		public TableViewCSharpView ()
		{
			var toggle = new ToolbarItem ();
			toggle.Text = "Toggle section 2";
			toggle.Clicked += (object sender, EventArgs e) => {
				ToggleSection2();
			};
			ToolbarItems.Add (toggle);

			Title = "Table View C#";

			Content = new TableView {
				Intent = TableIntent.Form, 
				HasUnevenRows = true, 
				Root = new TableRoot {
					GetSection ("Section 1"), 
					GetSection ("Section 2")
				}
			};
		}

		private TableSection GetSection (string title)
		{
			return new TableSection (title) {
				GetViewCell(), 
				GetViewCell(), 
				GetViewCell(), 
				GetViewCell(), 
				GetViewCell(), 
				GetViewCell(), 
				GetViewCell(), 
				GetViewCell(), 
				GetViewCell(), 
				GetViewCell()
			};
		}

		private ViewCell GetViewCell ()
		{
			var viewCell = new ViewCell ();
			viewCell.Height = 70;
			viewCell.ContextActions.Add (new MenuItem {
				Text = "Delete", 
				IsDestructive = true
			});
			viewCell.View = new StackLayout {
				Padding = new Thickness (15, 5, 15, 5), 
				Children = {
					new Label {
						Text = "Label"
					}, 
					new Entry {
						Text = "Text"
					}
				}
			};

			return viewCell;
		}

		private void ToggleSection2()
		{
			var tableView = (TableView) Content;
			if (tableView.Root.Count > 1) 
			{
				tableView.Root.RemoveAt (1);
				return;
			}

			tableView.Root.Add (GetSection ("Section 2"));
		}
	}
}


